<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentInstrumentSearchRow StructType
 * @subpackage Structs
 */
class PaymentInstrumentSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PaymentInstrumentSearchRowBasic
     */
    public $basic;
    /**
     * The customerJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CustomerSearchRowBasic
     */
    public $customerJoin;
    /**
     * The transactionJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TransactionSearchRowBasic
     */
    public $transactionJoin;
    /**
     * Constructor method for PaymentInstrumentSearchRow
     * @uses PaymentInstrumentSearchRow::setBasic()
     * @uses PaymentInstrumentSearchRow::setCustomerJoin()
     * @uses PaymentInstrumentSearchRow::setTransactionJoin()
     * @param \StructType\PaymentInstrumentSearchRowBasic $basic
     * @param \StructType\CustomerSearchRowBasic $customerJoin
     * @param \StructType\TransactionSearchRowBasic $transactionJoin
     */
    public function __construct(\StructType\PaymentInstrumentSearchRowBasic $basic = null, \StructType\CustomerSearchRowBasic $customerJoin = null, \StructType\TransactionSearchRowBasic $transactionJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setCustomerJoin($customerJoin)
            ->setTransactionJoin($transactionJoin);
    }
    /**
     * Get basic value
     * @return \StructType\PaymentInstrumentSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\PaymentInstrumentSearchRowBasic $basic
     * @return \StructType\PaymentInstrumentSearchRow
     */
    public function setBasic(\StructType\PaymentInstrumentSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get customerJoin value
     * @return \StructType\CustomerSearchRowBasic|null
     */
    public function getCustomerJoin()
    {
        return $this->customerJoin;
    }
    /**
     * Set customerJoin value
     * @param \StructType\CustomerSearchRowBasic $customerJoin
     * @return \StructType\PaymentInstrumentSearchRow
     */
    public function setCustomerJoin(\StructType\CustomerSearchRowBasic $customerJoin = null)
    {
        $this->customerJoin = $customerJoin;
        return $this;
    }
    /**
     * Get transactionJoin value
     * @return \StructType\TransactionSearchRowBasic|null
     */
    public function getTransactionJoin()
    {
        return $this->transactionJoin;
    }
    /**
     * Set transactionJoin value
     * @param \StructType\TransactionSearchRowBasic $transactionJoin
     * @return \StructType\PaymentInstrumentSearchRow
     */
    public function setTransactionJoin(\StructType\TransactionSearchRowBasic $transactionJoin = null)
    {
        $this->transactionJoin = $transactionJoin;
        return $this;
    }
}
